import java.net.*;
import java.util.*;

public class testsys {

static {
	System.loadLibrary("GetCPUCount");
}

public native long getCPUCount();

public void displayConfig() {
	System.out.println("Run Time Environment:");
	System.out.print("User name: ");
	System.out.println(System.getProperty("user.name"));
	System.out.print("Machine name: ");
	try {
		System.out.println(InetAddress.getLocalHost().getHostName());
	} catch (Throwable t) {
		System.out.println("*** Error: " + t.getClass().getName() +
				   " Message: " + t.getMessage());
	}
	System.out.print("Home Directory: ");
	System.out.println(System.getProperty("user.home"));
	System.out.print("Current Working Directory: ");
	System.out.println(System.getProperty("user.dir"));
	System.out.print("Operating System: ");
	System.out.println(System.getProperty("os.name"));
	System.out.print("Operating System version: ");
	System.out.println(System.getProperty("os.version"));
	System.out.print("Operating System Architecture: ");
	System.out.println(System.getProperty("os.arch"));
	System.out.print("Number of CPUs: ");
	System.out.println(getCPUCount());
	System.out.print("Java Home Directory: ");
	System.out.println(System.getProperty("java.home"));
	System.out.print("Java Version: ");
	System.out.println(System.getProperty("java.version"));
	System.out.print("Java Vendor: ");
	System.out.println(System.getProperty("java.vendor"));
}

public static void main(String[] args) {
	new testsys().displayConfig();
}
}
